import type { AstroConfig } from './@types/astro';
interface PageLocation {
    fileURL: URL;
    snowpackURL: string;
}
declare type SearchResult = {
    statusCode: 200;
    location: PageLocation;
    pathname: string;
} | {
    statusCode: 301;
    location: null;
    pathname: string;
} | {
    statusCode: 404;
};
/**
 * Given a URL, attempt to locate its source file (similar to Snowpack’s load()).
 *
 * TODO(perf): This function (and findCollectionPage(), its helper function) make several
 * checks against the file system on every request. It would be better to keep an in-memory
 * list of all known files that we could make instant, synchronous checks against.
 */
export declare function searchForPage(url: URL, astroConfig: AstroConfig): Promise<SearchResult>;
export {};
